<?php

namespace App\Http\Controllers;

use Illuminate\Support\Facades\DB;

class WelcomeController extends Controller
{
    public function index()
    {
        // Menampilkan 4 buku rilis baru berdasarkan tahun terbit terbaru
        $bukuTerbaru = \App\Models\Buku::whereNotNull('tahun_terbit')
            ->orderBy('tahun_terbit', 'desc')
            ->orderBy('id_buku', 'desc')
            ->limit(4)
            ->get();

        // 5 Buku Paling Banyak Dipinjam
        $bukuPopuler = \App\Models\Buku::withCount('peminjaman')
            ->orderBy('peminjaman_count', 'desc')
            ->take(5)
            ->get();

        return view('welcome', compact('bukuTerbaru', 'bukuPopuler'));
    }
}
